Package com.pixelmed.dicom

# Class ColorPalette

java.lang.Object
com.pixelmed.dicom.ColorPalette

Direct Known Subclasses:
  `ColorPaletteHotIron`, `ColorPaletteHotMetalBlue`, `ColorPalettePET`, `ColorPalettePET20Step`

public class ColorPalette extends Object

A class to encapsulate color palettes, including serialization and deserialization to and from standard DICOM color palette IODs.

May be used as a base class for specific standard or private color palettes.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String[]`
`alternateContentDescription`
`protected String[]`
`alternateContentLanguageCodeMeaning`
`protected String[]`
`alternateContentLanguageCodeValue`
`protected byte[]`
`blue`
`protected String`
`contentCreatorName`
`protected String`
`contentDescription`
`protected String`
`contentLabel`
`protected byte[]`
`green`
`protected byte[]`
`iccProfile`
`protected AttributeList`
`list`
`protected byte[]`
`red`
`protected String`
`referenceEncodedInstanceURL`
`protected String`
`sopInstanceUID`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ColorPalette()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`createDICOMInstance(String dicomFileName, String iccProfileFileName, String aet)`
Create a DICOM color palette storage instance from the palette characteristics.
`AttributeList`
`getAttributeList()`
`String`
`getContentDescription()`
`String`
`getContentLabel()`
`byte[]`
`getICCProfile()`
`String`
`getReferenceEncodedInstanceURL()`
`String`
`getSOPInstanceUID()`
`void`
`setICCProfileFromFile(String filename)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sopInstanceUID

protected String sopInstanceUID

### contentLabel

protected String contentLabel

### contentDescription

protected String contentDescription

### contentCreatorName

protected String contentCreatorName

### referenceEncodedInstanceURL

protected String referenceEncodedInstanceURL

### alternateContentDescription

protected String[] alternateContentDescription

### alternateContentLanguageCodeValue

protected String[] alternateContentLanguageCodeValue

### alternateContentLanguageCodeMeaning

protected String[] alternateContentLanguageCodeMeaning

### red

protected byte[] red

### green

protected byte[] green

### blue

protected byte[] blue

### iccProfile

protected byte[] iccProfile

### list

protected AttributeList list

## Constructor Details

### ColorPalette

protected ColorPalette()

## Method Details

### getSOPInstanceUID

public String getSOPInstanceUID()

### getContentLabel

public String getContentLabel()

### getContentDescription

public String getContentDescription()

### getReferenceEncodedInstanceURL

public String getReferenceEncodedInstanceURL()

### getICCProfile

public byte[] getICCProfile()

### setICCProfileFromFile

public void setICCProfileFromFile(String filename) throws IOException

Throws:
  `IOException`

### getAttributeList

public AttributeList getAttributeList() throws DicomException

Throws:
  `DicomException`

### createDICOMInstance

protected void createDICOMInstance(String dicomFileName, String iccProfileFileName, String aet) throws IOException, DicomException

Create a DICOM color palette storage instance from the palette characteristics.

Parameters:
  `dicomFileName` - to write
  `iccProfileFileName` - to read
  `aet` - our Application Entity Title to include in the metaheader
Throws:
  `IOException` - if an I/O error occurs
  `DicomException` - if error in DICOM encoding